DOM::CSS2CounterIncrement class Reference (khtml Library)

| # khtml Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# DOM::CSS2CounterIncrement Class Reference

The `CSS2CounterIncrement` interface represents a imple value for the counter-increment CSS Level 2 property. More...

`#include <css_extensions.h>`

List of all members.

## Public Member Functions
| CSS2CounterIncrement (const CSS2CounterIncrement &other)
| CSS2CounterIncrement (CSS2CounterIncrementImpl *impl)
CSS2CounterIncrement & | operator= (const CSS2CounterIncrement &other)
DOM::DOMString | identifier () const
| The element name.
void | setIdentifier (const DOM::DOMString &)
| see identifier
short | increment () const
| The increment (default value is 1).
void | setIncrement (const short)
| see increment

## Detailed Description

The `CSS2CounterIncrement` interface represents a imple value for the counter-increment CSS Level 2 property.

Definition at line 449 of file css_extensions.h.

## Member Function Documentation

DOMString CSS2CounterIncrement::identifier | ( |  | ) | const

| The element name. Definition at line 257 of file css_extensions.cpp.

void CSS2CounterIncrement::setIdentifier | ( | const DOM::DOMString & |  | ) |

  | see identifier Exceptions:
  DOMException | SYNTAX_ERR: Raised if the specified identifier has a syntax error and is unparsable.
NO_MODIFICATION_ALLOWED_ERR: Raised if this identifier is readonly. Definition at line 263 of file css_extensions.cpp.

short CSS2CounterIncrement::increment | ( |  | ) | const

| The increment (default value is 1). Definition at line 268 of file css_extensions.cpp.

void DOM::CSS2CounterIncrement::setIncrement | ( | const | short | ) |

  | see increment Exceptions:
  DOMException | NO_MODIFICATION_ALLOWED_ERR: Raised if this identifier is readonly.

The documentation for this class was generated from the following files:

- css_extensions.h
- css_extensions.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:35:20 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001